Page MenuHomePhabricator

Fix the jump when opening the mobile context
Closed, ResolvedPublic8 Story Points

Description

The mobile context that comes out of the bottom of the toolbar needs to not push the content down when activated, but instead occupy an already reserved space. This isn't a problem when the toolbar is floating.

Details

Related Gerrit Patches:
VisualEditor/VisualEditor : masterve.ce.Surface: Add 'dragging' event
mediawiki/extensions/VisualEditor : masterve.init.mw.MobileArticleTarget: Fix the jump when opening the mobile context

Event Timeline

TrevorParscal raised the priority of this task from to Needs Triage.
TrevorParscal updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 16 2015, 7:18 PM
Jdforrester-WMF triaged this task as High priority.Apr 20 2015, 7:42 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF renamed this task from Space should be reserved for mobile inspector to Fix the jump when opening the mobile inspector.Apr 29 2015, 6:29 PM
Jdforrester-WMF edited a custom field.
Nnemo added a subscriber: Nnemo.May 7 2015, 2:59 PM
Jdforrester-WMF renamed this task from Fix the jump when opening the mobile inspector to Fix the jump when opening the mobile context.Jun 16 2015, 8:36 PM

*unless it would overlap the cursor position...

Jdforrester-WMF lowered the priority of this task from High to Medium.Nov 19 2015, 7:21 PM
Deskana lowered the priority of this task from Medium to Low.Aug 31 2018, 10:45 AM
Deskana moved this task from Epics to Freezer on the VisualEditor board.
marcella raised the priority of this task from Low to Medium.Apr 29 2019, 1:54 PM
marcella moved this task from Freezer to Q4 on the VisualEditor board.May 6 2019, 3:50 PM
matmarex claimed this task.May 6 2019, 10:03 PM

Change 508460 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[VisualEditor/VisualEditor@master] ve.ce.Surface: Add 'dragging' event

https://gerrit.wikimedia.org/r/508460

Change 508461 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] ve.init.mw.MobileArticleTarget: Fix the jump when opening the mobile context

https://gerrit.wikimedia.org/r/508461

matmarex added a comment.EditedMay 6 2019, 11:11 PM

The above seemed to work great when I tested on desktop. On iOS it has some weird interaction with our scrolling hacks, and sometimes the page still goes crazy when trying to place a selection (not sure if this is due to iOS Safari bugs, or also our scrolling hacks). I don't have an Android device with me right now to test.

Overall I am not sure how good this is. If we're definitely doing T204733 T221247, then maybe we should just wait for that, as that redesign should magically fix this problem.

@ppelberg, given matmarex's comment above, would you like us to continue to prioritize work on this or wait for the outcomes of the mobile context repositioning that's also happening this quarter?

If we're definitely doing T204733 T221247, then maybe we should just wait for that, as that redesign should magically fix this problem.

@ppelberg, given matmarex's comment above, would you like us to continue to prioritize work on this or wait for the outcomes of the mobile context repositioning that's also happening this quarter?

Thanks for pinging, @marcella. @matmarex, what you are suggesting makes sense to me.

To reiterate: let's wait on working on this until we know the outcomes of T221247, considering as part of this work we plan to reposition all mobile context items to the bottom of the screen.

As we have deployed the new edit cards to bn/he/fa we can just QA them on those wikis?

Change 508461 abandoned by Esanders:
ve.init.mw.MobileArticleTarget: Fix the jump when opening the mobile context

Reason:
Unnecessary with new edit cards.

https://gerrit.wikimedia.org/r/508461

Change 508460 abandoned by Bartosz Dziewoński:
ve.ce.Surface: Add 'dragging' event

Reason:
Not needed if we're not doing https://gerrit.wikimedia.org/r/c/mediawiki/extensions/VisualEditor/ /508461

https://gerrit.wikimedia.org/r/508460

matmarex moved this task from Inbox to High Priority on the Editing QA board.Jul 4 2019, 12:09 AM

@matmarex: If I understand correctly this issue is now obsolete with the implementation of new Edit Cards design. What's here for me to test exactly?

matmarex edited projects, added Skipped QA; removed Editing QA.

@Ryasmeen Indeed I'm not sure. There is definitely no "jump" anymore when the context menu (edit card) appears, so let's just move on.

T136840 should also be fixed by the new edit cards, but that one could use independent verification from you.

ppelberg closed this task as Resolved.Aug 28 2019, 4:26 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 28 2019, 4:26 AM